
User Interface - Bug #2748

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

scrollbar drawing differences

10/09/2015 11:12 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/09/2015 11:12 AM - Greg Shah

Using demo/demo_widgets.p one can see several differences in scrollbar drawing:
#2 - 10/09/2015 11:13 AM - Greg Shah

- File demo_widgets.p_progress_vs_p2j_swing_20151009.png added

#3 - 10/09/2015 11:16 AM - Greg Shah

Scrollbar drawing issues:

1. Scrollbar arrow buttons 3D accents are not correct.

2. Scrollbar thumb buttons 3D accents are not correct.

3. Scrollbar thumb buttons size is not correct.

4. Scrollbar thumb buttons should not have the 3 stripes.

There are some other issues present, but we will deal with them in separate tasks.

#4 - 10/12/2015 10:46 AM - Eugenie Lyzenko

- File thumb_size_alt_test_4gl.jpg added

- File thumb_size_alt_test_p2j_20151012.jpg added

The screens attached are the comparisons for P2J and 4GL for scrollbar issues. The demo was modified a bit to get the same test conditions.

#5 - 10/12/2015 11:33 AM - Greg Shah

- Status changed from New to Closed

#6 - 11/10/2015 05:04 AM - Greg Shah

- % Done changed from 0 to 100

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
